# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/pwm/pwm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: PWM controllers (providers)

maintainers:
  - Thierry Reding <thierry.reding@gmail.com>

properties:
  $nodename:
    pattern: "^pwm(@.*|-[0-9a-f])*$"

  "#pwm-cells":
    description:
      Number of cells in a PWM specifier.

required:
  - "#pwm-cells"

additionalProperties: true

examples:
  - |
    pwm: pwm@7000a000 {
        compatible = "nvidia,tegra20-pwm";
        reg = <0x7000a000 0x100>;
        #pwm-cells = <2>;
    };
